Error in Column Expression Node

Hi Can someone please help with the error attached when I use the column expression node. Do I need to install something around Java?

Thanks,
Akash.

Can you post the script that is producing the error? If possible, a workflow with some example data would be best so others can try to reproduce the issue.

Thank you so much. I was able to download the zip file and install regarding my other request.

Please find attached the code and error snip. I get the same error when I write any Java script in Column Expression node.


Separate name and last name.knwf (16.9 KB)

Thanks,
Akash.

Hmmm. I’m not able to reproduce your error so far - the workflow is running fine for me.

Could you upload the relevant portion of the knime.log file? Also, what operating system and version of KNIME are you using?

Thanks Scott for looking into it. I am using 4.6.0.


Knime log.txt (714 Bytes)

Hi @akngnew -

In KNIME 4.6, the configuration dialog on the Column Expressions node should have an “Advanced” tab present, but in your screenshot it doesn’t. I wonder if something went wrong during the update process?

Would it be possible for you to try a fresh install of 4.6.1 and see if that resolves the problem?

Hi Scott,

I installed version 4.6.1 but advance tab is still not there and same error in column expression. I have to do the installation through the zip file as my organization doesn’t allow me to install Knime as a normal installation. Is there an update I am missing, if you have the zip file for this?. Thanks Akash.

Hi @akngnew -

Are you sure you did a fresh install? Meaning, download the latest version (4.6.1) and install it in a new directory?

I ask because 1) a fresh install would not include the Column Expressions node, you have to get that from a separate extension and 2) in 4.6.1 the Advanced tab in the dialog should exist.

To get a zip file for KNIME AP (Windows), you can go here: KNIME Analytics Platform for Windows (zip archive) | KNIME

And to get the KNIME extensions as a zip file, refer to this specific bit of our documentation here: KNIME Analytics Platform Installation Guide

Hi Scott,

Yes I have download and installed version 4.6.1 with all extensions. Please see the attachments below but I still get the same error as attached.

Previously I use to have version 4.5.2 and by installing an update attached called ws.palladian.knime.update the java invoke error was gone, Is there a similar update for version 4.6.1?

Thanks,
Akash.




The 4.6 version of the Palldian extension is available as a ZIP file here if you want to try that: https://download.nodepit.com/palladian/4.6.zip

I’m not sure why it would resolve the issue with Column Expressions though :thinking:

EDIT: Ticket filed, AP-19544